org.springframework.transaction.interceptor

## Interface TransactionAttribute

All Superinterfaces:
  TransactionDefinition

All Known Implementing Classes:
  DefaultTransactionAttribute, DelegatingTransactionAttribute, RuleBasedTransactionAttribute

    public interface TransactionAttribute
    extends TransactionDefinition

This interface adds a `rollbackOn` specification to `TransactionDefinition`. As custom `rollbackOn` is only possible with AOP, this class resides in the AOP transaction package.

Since:
  16.03.2003
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `DefaultTransactionAttribute`, `RuleBasedTransactionAttribute`

### Field Summary

### Fields inherited from interface org.springframework.transaction.TransactionDefinition

`ISOLATION_DEFAULT, ISOLATION_READ_COMMITTED, ISOLATION_READ_UNCOMMITTED, ISOLATION_REPEATABLE_READ, ISOLATION_SERIALIZABLE, PROPAGATION_MANDATORY, PROPAGATION_NESTED, PROPAGATION_NEVER, PROPAGATION_NOT_SUPPORTED, PROPAGATION_REQUIRED, PROPAGATION_REQUIRES_NEW, PROPAGATION_SUPPORTS, TIMEOUT_DEFAULT`

### Method Summary

Methods
`String` `getQualifier()` Return a qualifier value associated with this transaction attribute.
`boolean` `rollbackOn(Throwable ex)` Should we roll back on the given exception?

### Methods inherited from interface org.springframework.transaction.TransactionDefinition

`getIsolationLevel, getName, getPropagationBehavior, getTimeout, isReadOnly`

### Method Detail

#### getQualifier

    String getQualifier()

Return a qualifier value associated with this transaction attribute.

This may be used for choosing a corresponding transaction manager to process this specific transaction.

#### rollbackOn

    boolean rollbackOn(Throwable ex)

Should we roll back on the given exception?

Parameters:
  `ex` - the exception to evaluate
Returns:
  whether to perform a rollback or not